# Uses of Interface
org.apache.lucene.search.highlight.Formatter

Packages that use Formatter
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of Formatter in org.apache.lucene.search.highlight

  Classes in org.apache.lucene.search.highlight that implement Formatter
  Modifier and Type
  Class
  Description
  `class`
  `GradientFormatter`
  Formats text with different color intensity depending on the score of the term.
  `class`
  `SimpleHTMLFormatter`
  Simple `Formatter` implementation to highlight terms with a pre and post tag.
  `class`
  `SpanGradientFormatter`
  Formats text with different color intensity depending on the score of the term using the span tag.
  Constructors in org.apache.lucene.search.highlight with parameters of type Formatter
  Modifier
  Constructor
  Description
  ``
  `Highlighter(Formatter formatter, Encoder encoder, Scorer fragmentScorer)`
  ``
  `Highlighter(Formatter formatter, Scorer fragmentScorer)`